commit: cfec899d7ba5931f0d20fb5b42e2472d75131a11
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 12 09:07:06 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 12 09:09:53 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfec899d
dev-python/sentry-sdk: Bump to 0.20.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/sentry-sdk/Manifest | 1 +
dev-python/sentry-sdk/sentry-sdk-0.20.0.ebuild | 67 ++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 2432bd74a92..4e28f1d88ff 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1 +1,2 @@
DIST sentry-sdk-0.19.5.tar.gz 206164 BLAKE2B
9d7ce2a64fcb511c659188dc18bc4af18052c0f12ff5d31848f341ef20cbc6c9cf1102d17e6e8d8b741eb8000f94978f840f3ec66b43367820e0ccce97b1fd1b
SHA512
082ace137656e8cc8317e70cf4fe9823ccf8cc3ed7b54af059990cede72179924a36896a31a806de4adbbf3bd66e54d5385eb630c047b929583e32c39ed69d61
+DIST sentry-sdk-0.20.0.tar.gz 210340 BLAKE2B
7d6038f1b354bff447ac967a78f75413d2c297247cf70a3223f5ae556738573d9c04db64e0d96f220a6c6aa43313f0b85f799e5086d8eeb288537d74f40fcc78
SHA512
7d36e02f1aecbb8f842643817952e1d6f409f3c6d43697a2cd637346bbab5ecc11a5c216888d2d24fd4dc361bef7e78f2a9bd33b1fe1a6108f544d6f16760014
diff --git a/dev-python/sentry-sdk/sentry-sdk-0.20.0.ebuild
b/dev-python/sentry-sdk/sentry-sdk-0.20.0.ebuild
new file mode 100644
index 00000000000..7b31e702fe5
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-0.20.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="https://sentry.io/ https://pypi.org/project/sentry-sdk/"
+SRC_URI="https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz ->
${P}.tar.gz"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/eventlet[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local deselect=(
+ # tests require Internet access
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/requests/test_requests.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # hangs
+ 'tests/test_transport.py::test_transport_works[eventlet'
+ # TODO
+
'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ # test_circular_references: apparently fragile
+
'tests/integrations/threading/test_threading.py::test_circular_references'
+ )
+
+ # Prevent tests/integrations/modules/test_modules.py:test_basic failure
+ # Needs to detect sentry-sdk in the installed modules
+ distutils_install_for_testing
+
+ pytest -vv ${deselect[@]/#/--deselect } || die "Tests failed with
${EPYTHON}"
+}